"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compareNestedBodyguards = void 0;
const utils_1 = require("../utils");
/**
 * Compare a nested User against a User for ownership
 * 	Example: Does obj->owner->id equal user->id?
 * @param obj Object to test
 * @param user User to test
 * @param objBodyguardKeys Key array from getBodyguardKeys(obj)
 * @param userBodyguardKeys Key array from getBodyguardKeys(user)
 * @return Returns if the user owns the given object
 */
function compareNestedBodyguards(obj, user, objBodyguardKeys, userBodyguardKeys) {
    for (const objKey of objBodyguardKeys) {
        for (const userKey of userBodyguardKeys) {
            if ((0, utils_1.isDefined)(obj[objKey]) &&
                (0, utils_1.isDefined)(obj[objKey][userKey]) &&
                `${obj[objKey][userKey]}` === `${user[userKey]}`) {
                return true;
            }
        }
    }
    return false;
}
exports.compareNestedBodyguards = compareNestedBodyguards;
//# sourceMappingURL=compare-nested.js.map