"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBodyguardKeys = void 0;
const bodyguard_1 = require("../bodyguard");
/**
 * Get an array of bodyguard keys for the object
 * @param obj Object to receive keys for
 * @return Returns an array of keys
 */
function getBodyguardKeys(obj) {
    const ownerKeys = [];
    for (const member in obj) {
        if ((0, bodyguard_1.isBodyguardKey)(obj, member)) {
            ownerKeys.push(member);
        }
    }
    return ownerKeys;
}
exports.getBodyguardKeys = getBodyguardKeys;
//# sourceMappingURL=get-bodyguard-keys.js.map