"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSearchableRelations = void 0;
const bodyguard_1 = require("../bodyguard");
/**
 * Get an array of searchable fields for the object
 * @param obj Object to receive keys for
 * @return Returns an array of field names
 */
function getSearchableRelations(obj) {
    let searchableFields = [];
    for (const member in obj) {
        const canSearchRelation = (0, bodyguard_1.getCanSearchRelation)(obj, member);
        if (canSearchRelation) {
            const fields = canSearchRelation.fields.map((field) => {
                return `${member}.${field}`;
            });
            searchableFields = searchableFields.concat(fields);
        }
    }
    return searchableFields;
}
exports.getSearchableRelations = getSearchableRelations;
//# sourceMappingURL=get-searchable-relations.js.map