import { BaseModel, BaseModelInterface, BaseUser, BaseUserInterface } from '../models';
/**
 * Filter an outgoing response body to ensure it doesn't leak private fields
 * @param obj Object or array to check (enables recursion).
 * 	This can be the direct obj set of a typeorm request
 * @param user User object to check against
 * @param objType Type of object to check
 * @param userType Type of User to check
 * @return Returns the filtered obj
 */
export declare function readFilter<T extends BaseModel | BaseModel[]>(obj: T, user: BaseUser, objType: BaseModelInterface, userType: BaseUserInterface): T;
