"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bootstrap = exports.app = exports.App = void 0;
/**
 * This file bootstraps your application by running the register function
 * 	and setting up error handling.
 */
const ts_async_bootstrap_1 = require("ts-async-bootstrap");
const error_handler_1 = require("./error-handler");
const register_1 = require("./register");
class App extends ts_async_bootstrap_1.Bootstrap {
    constructor() {
        super(...arguments);
        this.onError = error_handler_1.errorHandler;
        this.register = register_1.register;
        this.teardown = register_1.teardown;
    }
}
exports.App = App;
exports.app = new App();
function bootstrap(run) {
    exports.app.boot(run);
}
exports.bootstrap = bootstrap;
//# sourceMappingURL=bootstrap.js.map