import { BaseModelInterface } from '../models';
import { Connection } from 'typeorm';
import { DatabaseConfig } from '../environment';
/**
 * Base Database class
 */
export declare class BaseDb {
    entities: BaseModelInterface[];
    connectionName: string;
    shouldSync: boolean;
    conn: Connection;
    /**
     * Constructor
     */
    constructor();
    /**
     * Set ORM entities
     * @param entities Array of entities
     */
    setEntities(entities: BaseModelInterface[]): this;
    /**
     * Connect to the database
     *
     * @param env Database environment configuration
     * @return Returns the connection
     */
    connect(env?: DatabaseConfig): Promise<Connection>;
}
