"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseDb = void 0;
const example_user_1 = require("../models/example-user");
/**
 * Base Database class
 */
class BaseDb {
    /**
     * Constructor
     */
    constructor() {
        // Database entities
        this.entities = [example_user_1.ExampleUser];
        // Connection name. Default is "default"
        this.connectionName = 'default';
        // Auto-sync (Empties database on restart, not for production!)
        this.shouldSync = false;
    }
    /**
     * Set ORM entities
     * @param entities Array of entities
     */
    setEntities(entities) {
        this.entities = entities;
        return this;
    }
    /**
     * Connect to the database
     *
     * @param env Database environment configuration
     * @return Returns the connection
     */
    connect(env) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((accept) => accept(null));
        });
    }
}
exports.BaseDb = BaseDb;
//# sourceMappingURL=base-db.js.map