"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEndpoint = void 0;
const base_model_1 = require("../models/base-model");
const run_hook_1 = require("../utils/run-hook");
/**
 * Return the payload on a Get request
 * @param request Request object to query by
 * @param response Response object to call responder with
 */
function getEndpoint(request, response) {
    return __awaiter(this, void 0, void 0, function* () {
        if (request.payload &&
            (request.payload instanceof Array ||
                request.payload instanceof base_model_1.BaseModel)) {
            // Check response
            // Run model hook
            if (!(yield (0, run_hook_1.runHook)('get', request.payload, request, response))) {
                return;
            }
            // Is this a count request?
            if ('count' in request.query &&
                request.query.count &&
                request.payload instanceof Array) {
                response.getResponder({
                    count: +request.payload.length
                });
            }
            else {
                response.getResponder(request.payload);
            }
        }
        else {
            // No payload
            response.goneResponder(request.payload);
            return;
        }
    });
}
exports.getEndpoint = getEndpoint;
//# sourceMappingURL=get-endpoint.js.map