"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logoutEndpoint = void 0;
const run_hook_1 = require("../utils/run-hook");
/**
 * Logout endpoint
 * @param request Request object to query by
 * @param response Response object to call responder with
 */
function logoutEndpoint(request, response) {
    return __awaiter(this, void 0, void 0, function* () {
        // Check user
        if (request.user) {
            // Run model hook
            if (!(yield (0, run_hook_1.runHook)('logout', request.user, request, response))) {
                return;
            }
            if (!(yield (0, run_hook_1.runHook)('afterLogout', request.user, request, response))) {
                return;
            }
            request.user = undefined;
            response.deleteResponder({});
        }
        else {
            // User is not logged in
            response.unauthorizedResponder('Could not authenticate user');
        }
    });
}
exports.logoutEndpoint = logoutEndpoint;
//# sourceMappingURL=logout-endpoint.js.map