"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.env = exports.Environment = exports.DatabaseConfig = void 0;
const ts_appconfig_1 = require("ts-appconfig");
class DatabaseConfig extends ts_appconfig_1.AppConfig {
    constructor() {
        super(...arguments);
        this.POINTY_DB_NAME = 'pointyapi';
        this.POINTY_DB_TYPE = 'postgres';
        this.POINTY_DB_HOST = 'localhost';
        this.POINTY_DB_PORT = 5432;
        this.POINTY_DB_USER = 'pointyapi';
        this.POINTY_DB_PASS = 'password1234';
    }
}
exports.DatabaseConfig = DatabaseConfig;
/**
 * Environment Variables Schema
 */
class Environment extends DatabaseConfig {
    constructor() {
        super(...arguments);
        this.APP_TITLE = 'pointyapi';
        this.PORT = 8080;
        this.JWT_KEY = 'dev_key';
        this.JWT_ACCESS_TTL_MIN = 15; // 15 minute access
        this.JWT_REFRESH_TTL_MIN = 7 * 24 * 60; // 7 day refresh
    }
}
exports.Environment = Environment;
/**
 * Load & export environment variables
 */
exports.env = (0, ts_appconfig_1.configure)(Environment);
//# sourceMappingURL=environment.js.map