"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorHandler = void 0;
const ts_error_handler_1 = require("ts-error-handler");
const bootstrap_1 = require("./bootstrap");
const log_1 = require("./log");
/**
 * Global error handler for uncaught exceptions
 *
 * @param e
 */
function errorHandler(error) {
    log_1.log.fatal(error.toString(), error);
    bootstrap_1.app.exit();
}
exports.errorHandler = errorHandler;
// Setup error handling
(0, ts_error_handler_1.setupErrorHandling)({
    handler: errorHandler,
    // TODO: includeJsFiles and justMyCode options can be removed after
    //	ts-error-handler#8 is closed
    //	https://github.com/StatelessStudio/ts-error-handler/issues/8
    includeJsFiles: true,
    justMyCode: false,
});
//# sourceMappingURL=error-handler.js.map