"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseUser = void 0;
const bcryptjs_1 = require("bcryptjs");
// Models
const base_model_1 = require("./base-model");
/**
 * Base User
 */
class BaseUser extends base_model_1.BaseModel {
    constructor() {
        super(...arguments);
        this.id = undefined;
        this.timeCreated = undefined;
        this.timeUpdated = undefined;
        this.username = undefined;
        this.email = undefined;
        this.password = undefined;
        this.role = undefined;
        this.status = undefined;
    }
    // Post hook
    beforePost(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            // Check if user has some sort of password
            if (!this.password) {
                response.validationResponder('Must supply a password');
                return false;
            }
            // Hash password
            if ('password' in this && this.password) {
                this.password = (0, bcryptjs_1.hashSync)(this.password, 12);
            }
            return true;
        });
    }
    // Patch hook
    beforePatch(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            // Temp password
            if ('password' in this && this.password) {
                this.password = (0, bcryptjs_1.hashSync)(this.password, 12);
            }
            return true;
        });
    }
}
exports.BaseUser = BaseUser;
//# sourceMappingURL=base-user.js.map