"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExampleUser = void 0;
const typeorm_1 = require("typeorm");
// Validation
const class_validator_1 = require("class-validator");
// Bodyguards
const bodyguard_1 = require("../bodyguard");
// Models
const base_user_1 = require("./base-user");
const enums_1 = require("../enums");
/**
 * Base User
 */
let ExampleUser = class ExampleUser extends base_user_1.BaseUser {
    constructor() {
        super(...arguments);
        // ID
        this.id = undefined;
        // Time created
        this.timeCreated = undefined;
        // Time last updated
        this.timeUpdated = undefined;
        // Username
        this.username = undefined;
        // First name
        this.fname = undefined;
        // Last name
        this.lname = undefined;
        // Email
        this.email = undefined;
        // Password
        this.password = undefined;
        // ExampleUser Role
        this.role = undefined;
        // ExampleUser Status
        this.status = undefined;
        // Biography
        this.biography = undefined;
        // Geographical Location
        this.location = undefined;
        // Thumbnail image
        this.thumbnail = undefined;
    }
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.IsOptional)(),
    (0, bodyguard_1.BodyguardKey)(),
    (0, bodyguard_1.AnyoneCanRead)(),
    __metadata("design:type", Number)
], ExampleUser.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'timestamp', default: new Date() }),
    (0, class_validator_1.IsDate)(),
    (0, class_validator_1.IsOptional)(),
    (0, bodyguard_1.AnyoneCanRead)(),
    __metadata("design:type", Date)
], ExampleUser.prototype, "timeCreated", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'timestamp', default: new Date() }),
    (0, class_validator_1.IsDate)(),
    (0, class_validator_1.IsOptional)(),
    (0, bodyguard_1.AnyoneCanRead)(),
    __metadata("design:type", Date)
], ExampleUser.prototype, "timeUpdated", void 0);
__decorate([
    (0, typeorm_1.Column)({ unique: true }),
    (0, class_validator_1.Length)(4, 16),
    (0, class_validator_1.IsAlphanumeric)(),
    (0, bodyguard_1.AnyoneCanRead)(),
    (0, bodyguard_1.OnlySelfCanWrite)(),
    (0, bodyguard_1.CanSearch)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "username", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, bodyguard_1.AnyoneCanRead)(),
    (0, bodyguard_1.OnlySelfCanWrite)(),
    (0, bodyguard_1.CanSearch)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "fname", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, bodyguard_1.AnyoneCanRead)(),
    (0, bodyguard_1.OnlySelfCanWrite)(),
    (0, bodyguard_1.CanSearch)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "lname", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, unique: true }),
    (0, class_validator_1.IsEmail)(),
    (0, class_validator_1.IsOptional)(),
    (0, bodyguard_1.OnlySelfCanRead)(),
    (0, bodyguard_1.OnlySelfCanWrite)(),
    (0, bodyguard_1.CanSearch)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "email", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, bodyguard_1.OnlySelfCanWrite)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "password", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: enums_1.UserRole.Basic }),
    (0, bodyguard_1.AnyoneCanRead)(),
    (0, bodyguard_1.OnlyAdminCanWrite)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "role", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: enums_1.UserStatus.Pending }),
    (0, bodyguard_1.AnyoneCanRead)(),
    (0, bodyguard_1.OnlyAdminCanWrite)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'text', nullable: true }),
    (0, bodyguard_1.AnyoneCanRead)(),
    (0, bodyguard_1.OnlySelfCanWrite)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "biography", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, bodyguard_1.AnyoneCanRead)(),
    (0, bodyguard_1.OnlySelfCanWrite)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "location", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    (0, bodyguard_1.AnyoneCanRead)(),
    (0, bodyguard_1.OnlySelfCanWrite)(),
    __metadata("design:type", String)
], ExampleUser.prototype, "thumbnail", void 0);
ExampleUser = __decorate([
    (0, typeorm_1.Entity)('User')
], ExampleUser);
exports.ExampleUser = ExampleUser;
//# sourceMappingURL=example-user.js.map