import { Application } from './index';
import { ListenFunction } from './utils/listen';
import { BaseDb } from './database';
import { HttpClient } from './http/http-client';
import { ResponderFunction, ErrorHandlerFunction } from './method-interface';
import { BaseUserInterface } from './models';
export declare type ServerHookFunction = (app: Application) => void;
/**
 * PointyAPI App Instance
 */
export declare class PointyApi {
    app: Application;
    listen: ListenFunction;
    db: BaseDb;
    http: HttpClient;
    userType: BaseUserInterface;
    testmode: boolean;
    log: (...data: any[]) => void;
    error: ErrorHandlerFunction;
    conflictResponder: ResponderFunction;
    forbiddenResponder: ResponderFunction;
    goneResponder: ResponderFunction;
    unauthorizedResponder: ResponderFunction;
    validationResponder: ResponderFunction;
    deleteResponder: ResponderFunction;
    getResponder: ResponderFunction;
    postResponder: ResponderFunction;
    patchResponder: ResponderFunction;
    before: ServerHookFunction;
    ready: ServerHookFunction;
    constructor();
    readycheck(): boolean;
    start(): Promise<void>;
}
export declare const pointy: PointyApi;
