declare type PropertyRuleSet = Record<string, boolean | any[]>;
declare type ClassRuleSet = Record<string, PropertyRuleSet>;
/**
 * Get class-validator constraints for a class
 * @param someClass BaseModel class(e.g `request.payloadType`)
 * @return Returns each constraint object for each property in the class
 */
export declare function getValidationConstraints(someClass: any): ClassRuleSet;
/**
 * Get class-validator constraints for a property of a class
 * @param someClass BaseModel class(e.g `request.payloadType`)
 * @param key Property key name
 * @return Returns each constraint object for the property
 */
export declare function getValidationConstraintsByKey(someClass: any, key: string): PropertyRuleSet;
export {};
