/**
 * Specify allowed query-types and allowed values
 */
export declare const queryTypes: {
    select: string[];
    where: string[];
    whereAnyOf: string[];
    search: string[];
    not: string[];
    raw: string[];
    join: string[];
    between: string[];
    lessThan: string[];
    lessThanOrEqual: string[];
    greaterThan: string[];
    greaterThanOrEqual: string[];
    groupBy: string[];
    order: string[];
    orderBy: string[];
    limit: string[];
    offset: string[];
    count: string[];
    additionalParameters: string[];
    id: string[];
};
/**
 * Specify allowed query-type keys
 */
export declare type QueryType = keyof typeof queryTypes;
export declare const queryTypeKeys: ("search" | "raw" | "join" | "select" | "not" | "lessThan" | "lessThanOrEqual" | "between" | "where" | "order" | "id" | "count" | "whereAnyOf" | "greaterThan" | "greaterThanOrEqual" | "groupBy" | "orderBy" | "limit" | "offset" | "additionalParameters")[];
