"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.coreTestProbe = void 0;
const log_1 = require("../log");
// Package.json interface
let pkg = {
    version: '',
    dependencies: {
        typescript: '',
        express: '',
        typeorm: ''
    }
};
// Try to load package.json
try {
    pkg = require(process.cwd() + '/node_modules/pointyapi/package.json');
}
catch (ex) {
    pkg = require(process.cwd() + '/package.json');
}
/**
 * Core Test Probe: Log results about the Node & PointyAPI Environment
 */
function coreTestProbe(request, response, next) {
    log_1.log.debug('[Core Test Probe]\n');
    log_1.log.debug('PointyAPI v', pkg.version);
    log_1.log.debug('TypeScript v', pkg.dependencies.typescript);
    log_1.log.debug('Express v', pkg.dependencies.express);
    log_1.log.debug('TypeORM v', pkg.dependencies.typeorm);
    log_1.log.debug('\n------------------------------------------------------------');
    next();
}
exports.coreTestProbe = coreTestProbe;
//# sourceMappingURL=core-test-probe.js.map