"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestTestProbe = void 0;
const log_1 = require("../log");
/**
 * Request Test Probe: Log data about the current request
 */
function requestTestProbe(request, response, next) {
    log_1.log.debug('[Request Test Probe]\n');
    log_1.log.debug('payload\n', request.payload);
    if (request.query instanceof Object) {
        log_1.log.debug('query\n', request.query);
    }
    if (request.body instanceof Object) {
        log_1.log.debug('body\n', request.body);
    }
    log_1.log.debug('\n------------------------------------------------------------');
    next();
}
exports.requestTestProbe = requestTestProbe;
//# sourceMappingURL=request-test-probe.js.map