"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addResource = void 0;
const typeorm_1 = require("typeorm");
const log_1 = require("../log");
/**
 * Add a resource to the database. This is useful for filling out database with
 * 	admin/developer resources
 * @param type Model type the resource should belong to
 * @param resource Parameters to create the resource by
 * @return Returns a Promise
 */
function addResource(type, resource) {
    return __awaiter(this, void 0, void 0, function* () {
        return (0, typeorm_1.getRepository)(type).save(resource).catch((error) => {
            log_1.log.warn('[addResource] ', error.message);
        });
    });
}
exports.addResource = addResource;
//# sourceMappingURL=add-resource.js.map