"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listen = void 0;
const environment_1 = require("../environment");
const log_1 = require("../log");
/**
 * # Start listening
 *
 * Start listening on the desired port. This is called in the default
 * pointy start() method.
 */
/**
 * Start listening
 * @param app Express app to listen on
 * @param port Port number to listen to. Default is process.env.PORT or 8080
 */
const listen = (app, port) => __awaiter(void 0, void 0, void 0, function* () {
    return new Promise((accept, reject) => {
        port = port || environment_1.env.PORT;
        app.listen(port, () => {
            log_1.log.info(`Server listening on port ${port}`);
            accept();
        });
    });
});
exports.listen = listen;
//# sourceMappingURL=listen.js.map